libnvme(2)

NAME
struct nvme_ana_group_desc - ANA Group Descriptor

SYNOPSIS
struct nvme_ana_group_desc {
__le32 grpid;
__le32 nnsids;
__le64 chgcnt;
__u8 state;
__u8 rsvd17[15];
__le32 nsids[];
};

Members

grpid
    ANA group id

nnsids
    Number of namespaces in nsids

chgcnt
    Change counter

state
    ANA state

rsvd17
    Reserved

nsids
    List of namespaces